angular.module('starter.usercontrollers', ['ngCordova'])
        .run(function ($rootScope) {
        })

        //注册
        .controller('registerCtrl', function ($scope, $ionicHistory, $ionicPopup, $timeout, $interval) {
            $scope.myGoBack = function () {
                $ionicHistory.goBack();
            };

            //form验证
            $scope.data = {
                "mobile": "",
                "verify": "",
                "newpassword": "",
                "repeat_password": "",
            };

            $scope.submit = function () {
                // An elaborate, custom popup
                var formSubmitSuccess = $ionicPopup.show({
                    template: '<i class="icon ion-android-done"></i>注册成功',
                    cssClass: 'e-popup'
                });
                $timeout(function () {
                    formSubmitSuccess.close(); //close the popup after 3 seconds for some reason
                }, 3000);
            };

            //获取验证码
            //验证码时间
            $scope.verificationcodeTime = 60;
            var codeSecondInter;
            $(".register-page .verificationcode").click(function () {
                if (checkMobile()) {
                    $(this).hide();
                    $(this).siblings(".code-countup").show();
                    codeSecondInter = $interval(codeSecondInterClock, 1000);
                }
            })

            $(".register-page input[name='mobile']").keyup(function () {
                if ($(this).val()) {
                    $(".register-page .verificationcode").removeClass("button-gray");
                    $(".register-page .verificationcode").addClass("button-e-red");
                } else {
                    $(".register-page .verificationcode").removeClass("button-e-red");
                    $(".register-page .verificationcode").addClass("button-gray");
                }
            })
            //检验手机号码是否为空
            function checkMobile() {
                var mobile = $(".register-page input[name='mobile']").val();

                if (mobile) {
                    return true;
                } else {
                    return false;
                }
            }
            //开始计时器    
            function codeSecondInterClock() {
                var seconds = parseInt($(".register-page .code-second").text());
                if (seconds == 0) {
                    clearCodeSecondInterClock();
                } else {
                    $(".register-page .code-second").text(seconds - 1);
                }
            }
            //清除计时器
            function clearCodeSecondInterClock() {
                $interval.cancel(codeSecondInter);
                $(".register-page .verificationcode").show();
                $(".register-page .verificationcode").siblings(".code-countup").hide();
                $(".register-page .code-second").text($scope.verificationcodeTime);

                if (checkMobile()) {
                    $(".register-page .verificationcode").removeClass("button-gray");
                    $(".register-page .verificationcode").addClass("button-e-red");
                } else {
                    $(".register-page .verificationcode").removeClass("button-e-red");
                    $(".register-page .verificationcode").addClass("button-gray");
                }
            }


        })